Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Tar.TarException Class Reference

TarExceptions are used for exceptions specific to tar classes and code. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Tar.TarException:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Tar.TarException:
[legend]

## Public Member Functions
| TarException ()
| Initialises a new instance of the TarException class.
| TarException (string message)
| Initialises a new instance of the TarException class with a specified message.
| TarException (string message, Exception exception)
Public Member Functions inherited from ICSharpCode.SharpZipLib.SharpZipBaseException
| SharpZipBaseException ()
| Initializes a new instance of the SharpZipBaseException class.
| SharpZipBaseException (string message)
| Initializes a new instance of the SharpZipBaseException class with a specified error message.
| SharpZipBaseException (string message, Exception innerException)
| Initializes a new instance of the SharpZipBaseException class with a specified error message and a reference to the inner exception that is the cause of this exception.

## Protected Member Functions
| TarException (SerializationInfo info, StreamingContext context)
| Deserialization constructor.
Protected Member Functions inherited from ICSharpCode.SharpZipLib.SharpZipBaseException
| SharpZipBaseException (SerializationInfo info, StreamingContext context)
| Deserialization constructor.

## Detailed Description

TarExceptions are used for exceptions specific to tar classes and code.

## Constructor & Destructor Documentation

## ◆ TarException() [1/4]

ICSharpCode.SharpZipLib.Tar.TarException.TarException | ( | SerializationInfo | info,
|  | StreamingContext | context )
| protected

Deserialization constructor.

Parameters

  info | SerializationInfo for this constructor
  context | StreamingContext for this constructor

## ◆ TarException() [2/4]

ICSharpCode.SharpZipLib.Tar.TarException.TarException | ( |  | ) |

Initialises a new instance of the TarException class.

## ◆ TarException() [3/4]

ICSharpCode.SharpZipLib.Tar.TarException.TarException | ( | string | message | ) |

Initialises a new instance of the TarException class with a specified message.

Parameters

  message | The message that describes the error.

## ◆ TarException() [4/4]

ICSharpCode.SharpZipLib.Tar.TarException.TarException | ( | string | message,
|  | Exception | exception )

Parameters

  message | A message describing the error.
  exception | The exception that is the cause of the current exception.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Tar/TarException.cs